"use client";
import { useAppSelector as i } from "../state/hooks.js";
import { getBandSizeOfAxis as u } from "../util/ChartUtils.js";
import { selectTooltipAxisTicks as s, selectTooltipAxisScale as l } from "../state/selectors/tooltipSelectors.js";
import { selectTooltipAxis as a } from "../state/selectors/selectTooltipAxis.js";
function n(e, t) {
  var r = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var o = Object.getOwnPropertySymbols(e);
    t && (o = o.filter(function(p) {
      return Object.getOwnPropertyDescriptor(e, p).enumerable;
    })), r.push.apply(r, o);
  }
  return r;
}
function c(e) {
  for (var t = 1; t < arguments.length; t++) {
    var r = arguments[t] != null ? arguments[t] : {};
    t % 2 ? n(Object(r), !0).forEach(function(o) {
      f(e, o, r[o]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(r)) : n(Object(r)).forEach(function(o) {
      Object.defineProperty(e, o, Object.getOwnPropertyDescriptor(r, o));
    });
  }
  return e;
}
function f(e, t, r) {
  return (t = b(t)) in e ? Object.defineProperty(e, t, { value: r, enumerable: !0, configurable: !0, writable: !0 }) : e[t] = r, e;
}
function b(e) {
  var t = m(e, "string");
  return typeof t == "symbol" ? t : t + "";
}
function m(e, t) {
  if (typeof e != "object" || !e) return e;
  var r = e[Symbol.toPrimitive];
  if (r !== void 0) {
    var o = r.call(e, t);
    if (typeof o != "object") return o;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return (t === "string" ? String : Number)(e);
}
var y = () => i(a), P = () => {
  var e = y(), t = i(s), r = i(l);
  return u(c(c({}, e), {}, {
    scale: r
  }), t);
};
export {
  y as useTooltipAxis,
  P as useTooltipAxisBandSize
};
